package test;

import java.io.*;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

/**
 * Sample Hello Tag does nothing but print hello, world
 */
public class HelloTag extends TagSupport  {
  /**
   * doStartTag is called when the open tag tag is read.  HelloTag returns
   * SKIP_BODY to skip its contents.
   */
  public int doStartTag() throws JspException
  {
    try {
      pageContext.getOut().println("Hello, world");
    } catch (IOException e) {
    }
    
    return SKIP_BODY;
  }
}
